regina::xml Namespace Reference

Various classes and routines for XML manipulation, some taken or modified from the libxml++ library. More...

## Classes

class | XMLParser
| Used to parse an entire XML file. More...
class | XMLParserCallback
| Provides the callbacks for an XMLParser. More...
class | XMLPropertyDict
| Represents a map from property names to property values. More...

## Functions

std::string | xmlString (xmlChar *str, bool free=true)
| Converts the given string from libxml into a C++ string, optionally deallocating the original libxml string. More...
std::string | xmlEncodeSpecialChars (const std::string &original)
| Returns the given string with special characters converted to XML entities. More...
std::string | xmlEncodeComment (const std::string &comment)
| Returns the given string encoded so it is suitable for use inside an XML comment. More...
template<class T >
std::string | xmlValueTag (const std::string &tagName, const T &value)
| Returns an XML tag with a single property containing the given value. More...

## Detailed Description

Various classes and routines for XML manipulation, some taken or modified from the libxml++ library.

The libxml2 library is used to do most of the underlying work.

See the xmlutils.h file documentation for libxml++ license details.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).